Package org.lwjgl.opengl

# Class ARBMatrixPalette

java.lang.Object
org.lwjgl.opengl.ARBMatrixPalette

public final class ARBMatrixPalette extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_CURRENT_MATRIX_INDEX_ARB`
`static final int`
`GL_CURRENT_PALETTE_MATRIX_ARB`
`static final int`
`GL_MATRIX_INDEX_ARRAY_ARB`
`static final int`
`GL_MATRIX_INDEX_ARRAY_POINTER_ARB`
`static final int`
`GL_MATRIX_INDEX_ARRAY_SIZE_ARB`
`static final int`
`GL_MATRIX_INDEX_ARRAY_STRIDE_ARB`
`static final int`
`GL_MATRIX_INDEX_ARRAY_TYPE_ARB`
`static final int`
`GL_MATRIX_PALETTE_ARB`
`static final int`
`GL_MAX_MATRIX_PALETTE_STACK_DEPTH_ARB`
`static final int`
`GL_MAX_PALETTE_MATRICES_ARB`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glCurrentPaletteMatrixARB(int index)`
`static void`
`glMatrixIndexPointerARB(int size, int type, int stride, long pPointer_buffer_offset)`
`static void`
`glMatrixIndexPointerARB(int size, int stride, ByteBuffer pPointer)`
`static void`
`glMatrixIndexPointerARB(int size, int stride, IntBuffer pPointer)`
`static void`
`glMatrixIndexPointerARB(int size, int stride, ShortBuffer pPointer)`
`static void`
`glMatrixIndexuARB(ByteBuffer pIndices)`
`static void`
`glMatrixIndexuARB(IntBuffer pIndices)`
`static void`
`glMatrixIndexuARB(ShortBuffer pIndices)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MATRIX_PALETTE_ARB

public static final int GL_MATRIX_PALETTE_ARB

See Also:
  - Constant Field Values

### GL_MAX_MATRIX_PALETTE_STACK_DEPTH_ARB

public static final int GL_MAX_MATRIX_PALETTE_STACK_DEPTH_ARB

See Also:
  - Constant Field Values

### GL_MAX_PALETTE_MATRICES_ARB

public static final int GL_MAX_PALETTE_MATRICES_ARB

See Also:
  - Constant Field Values

### GL_CURRENT_PALETTE_MATRIX_ARB

public static final int GL_CURRENT_PALETTE_MATRIX_ARB

See Also:
  - Constant Field Values

### GL_MATRIX_INDEX_ARRAY_ARB

public static final int GL_MATRIX_INDEX_ARRAY_ARB

See Also:
  - Constant Field Values

### GL_CURRENT_MATRIX_INDEX_ARB

public static final int GL_CURRENT_MATRIX_INDEX_ARB

See Also:
  - Constant Field Values

### GL_MATRIX_INDEX_ARRAY_SIZE_ARB

public static final int GL_MATRIX_INDEX_ARRAY_SIZE_ARB

See Also:
  - Constant Field Values

### GL_MATRIX_INDEX_ARRAY_TYPE_ARB

public static final int GL_MATRIX_INDEX_ARRAY_TYPE_ARB

See Also:
  - Constant Field Values

### GL_MATRIX_INDEX_ARRAY_STRIDE_ARB

public static final int GL_MATRIX_INDEX_ARRAY_STRIDE_ARB

See Also:
  - Constant Field Values

### GL_MATRIX_INDEX_ARRAY_POINTER_ARB

public static final int GL_MATRIX_INDEX_ARRAY_POINTER_ARB

See Also:
  - Constant Field Values

## Method Details

### glCurrentPaletteMatrixARB

public static void glCurrentPaletteMatrixARB(int index)

### glMatrixIndexPointerARB

public static void glMatrixIndexPointerARB(int size, int stride, ByteBuffer pPointer)

### glMatrixIndexPointerARB

public static void glMatrixIndexPointerARB(int size, int stride, IntBuffer pPointer)

### glMatrixIndexPointerARB

public static void glMatrixIndexPointerARB(int size, int stride, ShortBuffer pPointer)

### glMatrixIndexPointerARB

public static void glMatrixIndexPointerARB(int size, int type, int stride, long pPointer_buffer_offset)

### glMatrixIndexuARB

public static void glMatrixIndexuARB(ByteBuffer pIndices)

### glMatrixIndexuARB

public static void glMatrixIndexuARB(ShortBuffer pIndices)

### glMatrixIndexuARB

public static void glMatrixIndexuARB(IntBuffer pIndices)